import { OracleApi } from './OracleApi';
/**
 * Represents the Identity API connections.
 */
export declare class IdentityApi extends OracleApi {
    /**
     * Connects to the list endpoint.
     * @param {string} compartmentId The ID of a specific compartment.
     * @return {Promise}
     */
    listAvailabilityDomains(compartmentId: string): Promise<{}>;
    /**
     * Connects to the list endpoint.
     * @param {string} [compartmentId=tenancy OCID] The parent compartment id.
     * @return {Promise}
     */
    listCompartments(compartmentId?: string): Promise<{}>;
}
