"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const OracleApi_1 = require("./OracleApi");
/**
 * Represents the Identity API connections.
 */
class IdentityApi extends OracleApi_1.OracleApi {
    /**
     * Connects to the list endpoint.
     * @param {string} compartmentId The ID of a specific compartment.
     * @return {Promise}
     */
    listAvailabilityDomains(compartmentId) {
        return this.call({
            host: this.identityURI,
            method: 'GET',
            path: `/availabilityDomains/?compartmentId=${compartmentId}`,
        });
    }
    /**
     * Connects to the list endpoint.
     * @param {string} [compartmentId=tenancy OCID] The parent compartment id.
     * @return {Promise}
     */
    listCompartments(compartmentId) {
        if (!compartmentId) {
            compartmentId = this.tenancyId;
        }
        return this.call({
            host: this.identityURI,
            method: 'GET',
            path: `/compartments/?compartmentId=${compartmentId}`,
        });
    }
}
exports.IdentityApi = IdentityApi;
