/**
 * The entry point to the Oracle Cloud API.
 */
export declare class OracleApi {
    /** The oracle API endpoint. */
    endpoint: string;
    /** The SSL fingerprint for authentication. */
    fingerprint: string;
    /** The private key used to encrypt the data. */
    privateKey: string;
    /** The user id with access to the API. */
    userId: string;
    /** The primary compartment id. */
    tenancyId: string;
    /**
     * Returns the identity URI.
     */
    readonly identityURI: string;
    /**
     * Returns the servies URI.
     */
    readonly servicesURI: string;
    /**
     * Initiates the OracleCloudJs Object.
     * @param {Object} params The configuration object.
     */
    constructor(params: any);
    /**
     * Makes a call to the Oracle API.
     * @param {Object} opt The request options.
     * @param {Object} data The data to be sent to the API.
     * @return {Promsie} Promise of data received from the API.
     */
    call(opt: any, data?: any): Promise<{}>;
    /**
     * Sign the request.
     * @param {Object} req The requset that is being sent to the API.
     * @param {Object} body Options to use with the request.
     * @return {Object}
     */
    sign(req: any, body: any): any;
}
